Page MenuHomePhabricator

Make emails easier to filter
Closed, DuplicatePublic

Description

Currently, Phabricator adds a bunch of custom headers to outgoing emails (I believe, can't find the documentation that suggests this right at this moment). This is great, but unfortunately Gmail doesn't allow filtering on custom mail headers (AFAIK).

It would make my life easier if certain information was added to the body of the email as well, namely:

  • The repository (for differentials)
  • The project (for maniphests)
  • Possibly some other stuff I'd use occasionally

Event Timeline

joshuaspence raised the priority of this task from to Needs Triage.
joshuaspence updated the task description. (Show Details)
joshuaspence added a project: Mail.
joshuaspence added a subscriber: joshuaspence.
qgil added a subscriber: qgil.May 21 2014, 12:15 AM

(Personally, I'd prefer it if Gmail allowed filtering on custom headers... but this seems unlikely in the near future)

joshuaspence triaged this task as Wishlist priority.Jun 5 2014, 4:52 PM
joshuaspence updated the task description. (Show Details)
joshuaspence edited this Maniphest Task.Jun 17 2014, 10:21 PM
joshuaspence edited this Maniphest Task.Jun 18 2014, 4:36 PM
talshiri added a subscriber: talshiri.EditedJun 18 2014, 5:21 PM

What about something like T5244?
We use [REPO/BRANCH] [Differential] <...> for our email subjects, and it's super convenient.

I'd prefer it in the body to be honest... still just as filterable and doesn't take up valuable space in the subject line.

I personally dislike it the addition to the body, as it adds more metadata to scroll through before I can get into the comments.

Can we maybe collapse repo+branch into a single line? Right now they take 6 lines (2x header, 2x content, 2x newlines), and it's annoying.

joshuaspence edited this Maniphest Task.Jun 25 2014, 5:51 PM
joshuaspence edited this Maniphest Task.Jun 25 2014, 6:52 PM
joshuaspence renamed this task from Make emails easier to filter. to Make emails easier to filter.Jul 18 2014, 7:55 AM

I think the most practical attack on this is T5791, roughly putting all the headers in the footer of the message.

epriestley closed this task as a duplicate.Aug 13 2014, 3:39 AM

✘ Merged into T5791.